Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class XParticipationPrfEntVrf

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.XParticipationPrfEntVrf

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class XParticipationPrfEntVrf

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'XParticipation Prf Ent Vrf', and utility methods for working with them. abstDomain: V19601 (C-0-D10901-V19601-cpt)

See Also:
  `CDAR2Package.getXParticipationPrfEntVrf()`

Field Summary
`static int` | `ENT` The 'ENT' literal value.
`static XParticipationPrfEntVrf` | `ENT_LITERAL` The 'ENT' literal object.
`static int` | `PRF` The 'PRF' literal value.
`static XParticipationPrfEntVrf` | `PRF_LITERAL` The 'PRF' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'XParticipation Prf Ent Vrf' enumerators.
`static int` | `VRF` The 'VRF' literal value.
`static XParticipationPrfEntVrf` | `VRF_LITERAL` The 'VRF' literal object.

Method Summary
`static XParticipationPrfEntVrf` | `get(int value)` Returns the 'XParticipation Prf Ent Vrf' literal with the specified integer value.
`static XParticipationPrfEntVrf` | `get(java.lang.String literal)` Returns the 'XParticipation Prf Ent Vrf' literal with the specified literal value.
`static XParticipationPrfEntVrf` | `getByName(java.lang.String name)` Returns the 'XParticipation Prf Ent Vrf' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PRF

    public static final int PRF

  The 'PRF' literal value.

  If the meaning of 'PRF' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PRF_LITERAL`, Constant Field Values

### VRF

    public static final int VRF

  The 'VRF' literal value.

  If the meaning of 'VRF' literal object isn't clear, there really should be more of a description here...

  See Also:
    `VRF_LITERAL`, Constant Field Values

### ENT

    public static final int ENT

  The 'ENT' literal value.

  If the meaning of 'ENT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ENT_LITERAL`, Constant Field Values

### PRF_LITERAL

    public static final XParticipationPrfEntVrf PRF_LITERAL

  The 'PRF' literal object.

  See Also:
    `PRF`

### VRF_LITERAL

    public static final XParticipationPrfEntVrf VRF_LITERAL

  The 'VRF' literal object.

  See Also:
    `VRF`

### ENT_LITERAL

    public static final XParticipationPrfEntVrf ENT_LITERAL

  The 'ENT' literal object.

  See Also:
    `ENT`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'XParticipation Prf Ent Vrf' enumerators.

Method Detail

### get

    public static XParticipationPrfEntVrf get(java.lang.String literal)

  Returns the 'XParticipation Prf Ent Vrf' literal with the specified literal value.

### getByName

    public static XParticipationPrfEntVrf getByName(java.lang.String name)

  Returns the 'XParticipation Prf Ent Vrf' literal with the specified name.

### get

    public static XParticipationPrfEntVrf get(int value)

  Returns the 'XParticipation Prf Ent Vrf' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD